Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface TestResult.Observer

Enclosing class:
  TestResult

    public static interface TestResult.Observer

An interface to observe activity in a TestResult as it is created.

Method Summary
`void` | `completed(TestResult tr)` The test has completed, and the results are now immutable.
`void` | `completedOutput(TestResult tr, TestResult.Section section, java.lang.String outputName)` Output has been completed in a section of the test result.
`void` | `completedSection(TestResult tr, TestResult.Section section)` A section has been been completed in the test result.
`void` | `createdOutput(TestResult tr, TestResult.Section section, java.lang.String outputName)` New output has been created in a section of the test result.
`void` | `createdSection(TestResult tr, TestResult.Section section)` A new section has been created in the test result.
`void` | `updatedOutput(TestResult tr, TestResult.Section section, java.lang.String outputName, int start, int end, java.lang.String text)` The output for a section has been updated.
`void` | `updatedProperty(TestResult tr, java.lang.String name, java.lang.String value)` A property of the test result has been updated.

Method Detail

### createdSection

    void createdSection(TestResult tr,
                        TestResult.Section section)

  A new section has been created in the test result.

  Parameters:
    `tr` - The test result in which the section was created.
    `section` - The section that has been created

### completedSection

    void completedSection(TestResult tr,
                          TestResult.Section section)

  A section has been been completed in the test result.

  Parameters:
    `tr` - The test result containing the section.
    `section` - The section that has been completed.

### createdOutput

    void createdOutput(TestResult tr,
                       TestResult.Section section,
                       java.lang.String outputName)

  New output has been created in a section of the test result.

  Parameters:
    `tr` - The test result containing the output.
    `section` - The section in which the output has been created.
    `outputName` - The name of the output.

### completedOutput

    void completedOutput(TestResult tr,
                         TestResult.Section section,
                         java.lang.String outputName)

  Output has been completed in a section of the test result.

  Parameters:
    `tr` - The test result containing the output.
    `section` - The section in which the output has been completed.
    `outputName` - The name of the output.

### updatedOutput

    void updatedOutput(TestResult tr,
                       TestResult.Section section,
                       java.lang.String outputName,
                       int start,
                       int end,
                       java.lang.String text)

  The output for a section has been updated.

  Parameters:
    `tr` - The test result object being modified.
    `section` - The section in which the output is being produced.
    `outputName` - The name of the output.
    `start` - the start offset of the text that was changed
    `end` - the end offset of the text that was changed
    `text` - the text that replaced the specified range.

### updatedProperty

    void updatedProperty(TestResult tr,
                         java.lang.String name,
                         java.lang.String value)

  A property of the test result has been updated.

  Parameters:
    `tr` - The test result containing the property that was modified.
    `name` - The key for the property that was modified.
    `value` - The new value for the property.

### completed

    void completed(TestResult tr)

  The test has completed, and the results are now immutable. There will be no further observer calls.

  Parameters:
    `tr` - The test result that has been completed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.